Package org.apache.tapestry5.internal.alerts

## Class AlertManagerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.alerts.AlertManagerImpl

- All Implemented Interfaces:
    `AlertManager`

      public class AlertManagerImpl
      extends java.lang.Object
      implements AlertManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlertManagerImpl​(ApplicationStateManager asm, Request request, AjaxResponseRenderer ajaxResponseRenderer, PerthreadManager perThreadManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `alert​(Duration duration, Severity severity, java.lang.String message)` | Adds an alert with configurable severity and duration.
    `void` | `alert​(Duration duration, Severity severity, java.lang.String message, boolean markup)` | Adds an alert with configurable severity and duration.
    `void` | `error​(java.lang.String message)` | Adds an `Severity.ERROR` alert with the default duration, `Duration.SINGLE`.
    `void` | `info​(java.lang.String message)` | Adds an `Severity.INFO` alert with the default duration, `Duration.SINGLE`.
    `void` | `success​(java.lang.String message)` | Adds an `Severity.SUCCESS` alert with the default duration, `Duration.SINGLE`.
    `void` | `warn​(java.lang.String message)` | Adds an `Severity.WARN` alert with the default duration, `Duration.SINGLE`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlertManagerImpl

          public AlertManagerImpl​(ApplicationStateManager asm,
                                  Request request,
                                  AjaxResponseRenderer ajaxResponseRenderer,
                                  PerthreadManager perThreadManager)

  - ### Method Detail

    - #### success

          public void success​(java.lang.String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.SUCCESS` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `success` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### info

          public void info​(java.lang.String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.INFO` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `info` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### warn

          public void warn​(java.lang.String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.WARN` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `warn` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### error

          public void error​(java.lang.String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.ERROR` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `error` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### alert

          public void alert​(Duration duration,
                            Severity severity,
                            java.lang.String message)

      Description copied from interface: `AlertManager`
      Adds an alert with configurable severity and duration. Message isn't treated as HTML, being HTML-escaped.
      Specified by:
        `alert` in interface `AlertManager`
      Parameters:
        `duration` - controls how long the alert is presented to the user
        `severity` - controls how the alert is presented to the user
        `message` - to present to the user

    - #### alert

          public void alert​(Duration duration,
                            Severity severity,
                            java.lang.String message,
                            boolean markup)

      Description copied from interface: `AlertManager`
      Adds an alert with configurable severity and duration.
      Specified by:
        `alert` in interface `AlertManager`
      Parameters:
        `duration` - controls how long the alert is presented to the user
        `severity` - controls how the alert is presented to the user
        `message` - to present to the user
        `markup` - whether to treat the message as raw HTML (true) or escape it (false).